Configuration système requise et compatibilité

Exigences

  • 1 Go de RAM minimum
  • Microsoft Edge WebView2 Runtime version 92 ou ultérieure.

    Remarque :

    À partir de la version 2107, le programme d’installation Microsoft Edge WebView2 Runtime est fourni avec le programme d’installation de l’application Citrix Workspace. Lors de l’installation de l’application Workspace, le programme d’installation vérifie si Microsoft Edge WebView2 Runtime est présent sur le système et l’installe s’il est introuvable.

    Si vous tentez d’installer ou de mettre à niveau l’application Citrix Workspace avec des privilèges d’utilisateur autre qu’administrateur, l’installation échoue.

    • Self-Service Plug-in requiert NET 4.6.2. Ce plug-in vous permet de vous abonner à des applications et des bureaux, et de les lancer à partir de l’interface utilisateur ou de la ligne de commande de l’application Workspace. Pour plus d’informations, consultez la section Utilisation des paramètres de ligne de commande. Si vous essayez d’installer ou de mettre à niveau vers l’application Citrix Workspace 1904 ou version ultérieure et que la version requise de .NET Framework n’est pas disponible sur votre système Windows, le programme d’installation de l’application Citrix Workspace télécharge et installe la version requise de .NET Framework.

    Remarque :

    Si vous essayez d’installer ou de mettre à niveau l’application Citrix Workspace avec des privilèges non administrateur et que .NET Framework 4.6.2 ou version ultérieure n’est pas présent sur le système, l’installation échoue.

  • Dernière version de Microsoft Visual C++ Redistributable.

    Remarque :

    Citrix vous recommande d’utiliser la dernière version de Microsoft Visual C++ Redistributable. Sinon, une invite de redémarrage peut s’afficher pendant une mise à niveau.

    À partir de la version 1904, le programme d’installation de Microsoft Visual C++ Redistributable ne sont pas empaquetés avec le programme d’installation de l’application Citrix Workspace. Lors de l’installation de l’application Citrix Workspace, le programme d’installation vérifie si le package Microsoft Visual C++ Redistributable est présent sur le système et l’installe si nécessaire.

    Remarque :

    Les tentatives d’installation de l’application Citrix Workspace avec des privilèges non administrateur sur un système sans le package Microsoft Visual C++ Redistributable peuvent échouer.

    Seul un administrateur peut installer le package Microsoft Visual C++ Redistributable.

    Pour résoudre les problèmes liés à .NET Framework ou à l’installation de Microsoft Visual C++ Redistributable, consultez l’article du centre de connaissances Citrix CTX250044.

Matrice de compatibilité

L’application Citrix Workspace est compatible avec toutes les versions actuellement prises en charge de Citrix Virtual Apps and Desktops et de Citrix Gateway comme indiqué dans le tableau du cycle de vie des produits Citrix.

L’application Citrix Workspace pour Windows est compatible avec les systèmes d’exploitation Windows suivants :

Remarque :

  • L’application Citrix Workspace 2009.5 et versions ultérieures empêche l’installation sur les systèmes d’exploitation non pris en charge.
  • La prise en charge de Windows 7 a été arrêtée à partir de la version 2006.
  • Le plug-in EPA (End-Point Analysis) de Citrix Gateway est pris en charge sur Citrix Workspace. Sur l’application Citrix Workspace native, il est pris en charge uniquement lors de l’utilisation de l’authentification nFactor. Pour plus d’informations, consultez Configurer l’analyse EPA pré-authentification et post-authentification en tant que facteur dans l’authentification nFactor dans la documentation Citrix ADC.
Système d’exploitation
Windows 11
Windows 10 Enterprise (Éditions 32 bits et 64 bits). Pour plus d’informations sur les versions Windows 10 compatibles, consultez Compatibilité de Windows 10 avec l’application Citrix Workspace pour Windows.
Windows 10 Enterprise (2016 LTSB 1607, LTSC 2019)
Windows 10 (IoT Enterprise*, Édition familiale**, Pro)
Windows 8.1 (Édition 32 bits, 64 bits et Embedded)
Windows Server 2022
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2 (Édition Standard et Datacenter)

*Prend en charge les mises à jour Windows 10 IoT Entreprise 2015 LTSB, Windows 10 IoT Entreprise 2016 LTSB, Anniversary Update, Creators Update et Falls Creators Update. **Aucune prise en charge de l’authentification pass-through au domaine, de Desktop Lock, de l’API FastConnect et des configurations qui nécessitent un ordinateur Windows joint au domaine.

Compatibilité de Windows 10 avec l’application Citrix Workspace pour Windows

Avec le système d’exploitation Windows 10, Microsoft a introduit une nouvelle façon de construire, déployer et gérer Windows : Windows en tant que service. Les nouvelles fonctionnalités sont disponibles dans le cadre de Mises à jour des fonctionnalités (versions majeures comme 1703, 1709, 1803). Les correctifs de bugs et les correctifs de sécurité sont disponibles dans le cadre de Mises à jour qualité. Ces mises à jour peuvent être déployées à l’aide d’outils de gestion existants tels que SCCM.

Remarque :

  • Il n’est pas recommandé d’installer des versions du logiciel Citrix qui ont été publiées avant la version du canal semestriel.
  • Une fois qu’une version de Windows 10 atteint la fin de service, cette version n’est plus desservie ou prise en charge par Microsoft. Citrix prend en charge l’exécution de son logiciel uniquement sur un système d’exploitation qui est pris en charge par son fabricant. Pour plus d’informations sur la fin du service de Windows 10, consultez la page Infos-clés sur le cycle de vie Windows.

Le tableau suivant répertorie le numéro de version de Windows 10 et l’application Citrix Workspace compatible correspondante pour les versions de Windows.

Numéro de version de Windows 10 Numéro de compilation Version de l’application Citrix Workspace
21H1 19043.928 2106 et versions ultérieures
20H2 19042.508 2012 et versions ultérieures
2004 19041.113 2006.1 et versions ultérieures
1909 18363.418 1911 et versions ultérieures
1903 18362.116 1909 et versions ultérieures
1809 17763.107 1812 et versions ultérieures
1803 17134.376 1808 et versions ultérieures

Remarque :

Les versions de Windows 10 sont uniquement compatibles avec les versions de l’application Citrix Workspace mentionnées. Par exemple, Windows 10 version 21H1 n’est pas compatible avec les versions antérieures à 2106.

Validation de l’espace disque disponible

Le tableau suivant fournit des informations sur l’espace disque requis pour installer l’application Citrix Workspace.

Type d’installation Espace disque requis
Nouvelle installation 572 Mo
Mise à niveau 350 Mo

L’application Citrix Workspace vérifie l’espace disque requis pour compléter l’installation. La vérification est effectuée aussi bien lors d’une nouvelle installation que d’une mise à niveau.

Remarque :

  • Le programme d’installation vérifie l’espace disque uniquement après l’extraction du package d’installation.
  • Lorsque l’espace disque du système est insuffisant lors d’une installation silencieuse, la boîte de dialogue ne s’affiche pas, mais le message d’erreur est consigné dans CTXInstall\_TrolleyExpress-\*.log.

Connexions, certificats et authentification

Connexions

  • Magasin HTTP
  • Magasin HTTPS
  • Citrix Gateway 10.5 et versions ultérieures

Certificats

Remarque :

L’application Citrix Workspace pour Windows est signée numériquement. La signature numérique est horodatée. Ainsi, le certificat est valide même après son expiration.

  • Privés (auto-signés)
  • Racine
  • Génériques
  • Intermédiaires

Certificats privés (auto-signés)

Si un certificat privé est installé sur la passerelle distante, le certificat racine de l’autorité de certification de l’organisation doit être installé sur l’appareil de l’utilisateur à partir duquel vous accédez aux ressources Citrix.

Remarque :

Si le certificat de la passerelle distante ne peut pas être vérifié lors de la connexion (car le certificat racine n’est pas inclus dans le magasin de clés), un avertissement relatif à un certificat non approuvé s’affiche. Si un utilisateur choisit d’ignorer l’avertissement, les applications s’affichent, mais ne démarrent pas.

Certificats racines

Pour les ordinateurs appartenant à un domaine, vous pouvez utiliser un modèle d’administration d’objet de stratégie de groupe pour distribuer et approuver les certificats d’autorité de certification.

Pour les ordinateurs n’appartenant pas à un domaine, l’organisation peut créer un pack d’installation personnalisé pour distribuer et installer le certificat d’autorité de certification. Contactez votre administrateur système pour obtenir de l’aide.

Certificats génériques

Les certificats génériques sont utilisés sur un serveur situé dans le même domaine.

L’application Citrix Workspace prend en charge les certificats génériques. Les certificats génériques doivent être utilisés conformément à la stratégie de sécurité de votre organisation. En pratique, des alternatives aux certificats génériques peuvent être envisagées, par exemple, un certificat contenant la liste des noms de serveurs avec l’extension SAN (Autre nom de l’objet). Des autorités de certification publiques et privées émettent ces certificats.

Certificats intermédiaires

Si votre chaîne de certificat contient un certificat intermédiaire, ce dernier doit être ajouté au certificat serveur de Citrix Gateway. Pour plus d’informations, consultez la section Configuration de certificats intermédiaires.

Authentification

Authentification auprès de StoreFront

  Workspace pour Web Site StoreFront Services (natif) StoreFront, Citrix Virtual Apps and Desktops (natif) Citrix Gateway auprès de Workspace pour Web Citrix Gateway auprès du site StoreFront Services (natif)
Anonymous Oui Oui      
Domaine Oui Oui Oui Oui* Oui*
Authentification pass-through au domaine Oui Oui Oui    
Jeton de sécurité       Oui* Oui*
Authentification à deux facteurs (domaine avec jeton de sécurité)       Oui* Oui*
SMS       Oui* Oui*
Carte à puce Oui Oui   Oui Oui
Certificat utilisateur       Oui (Citrix Gateway Plug-in) Oui (Citrix Gateway Plug-in)

* Avec ou sans Citrix Gateway Plug-in installé sur la machine

Remarque :

L’application Citrix Workspace prend en charge l’authentification à deux facteurs (domaine + jeton de sécurité) via Citrix Gateway au service natif StoreFront.

Liste de révocation de certificats

La liste de révocation de certificats (CRL) permet à l’application Citrix Workspace de vérifier si le certificat du serveur est révoqué. Cette vérification permet d’améliorer l’authentification cryptographique du serveur et la sécurité globale de la connexion TLS entre la machine utilisateur et un serveur.

Vous pouvez activer la vérification CRL à plusieurs niveaux. Par exemple, vous pouvez configurer l’application Citrix Workspace pour qu’elle vérifie uniquement sa liste de certificats locaux ou pour qu’elle vérifie les listes de certificats locaux et de réseau. De plus, vous pouvez configurer la vérification des certificats pour permettre aux utilisateurs de n’ouvrir leurs sessions que si toutes les listes de révocation de certificats ont été vérifiées.

Si vous configurez la vérification du certificat sur votre ordinateur local, quittez l’application Citrix Workspace. Vérifiez que tous les composants Citrix Workspace, y compris le centre de connexion, sont fermés.

Pour plus d’informations, consultez la section TLS.

Configuration système requise et compatibilité